Follow

NMX Motion Android App (on Google Play)

The NMX Motion app is now available for direct download from the Google Play store!

The really IMPORTANT stuff:

- Your Android device must support Bluetooth Smart (also known as Low Energy (LE) or 4.0 (or higher)).  Android 4.3 (or higher) supports Bluetooth Low Energy. The NMX only supports this latest Bluetooth technology.

- Make sure your NMX has the latest firmware loaded! Here are directions on updating your firmware (it's essentially the same as the MX3): LINK

- If your phone has Bluetooth LE hardware but the google play store does not recognize, here is the NMX Motion app (v3) for direct download> LINK

 Important Android Device Notes:

Asus Nexis 7 - Strange story with this device.. Although the bluetooth hardware inside this tablet is LE compatible and you can update this device to Android 4.4.. Google did not update the bluetooth license on this device.  Probably because this is an older device and newer devices have since hit the market with LE and they didn't want to retroactively go through the certification process. As far as we know there's one way to enable the BluetoothLE on the Nexis 7, a $10 app that will patch this and allow the device to communicate with LE devices:  https://play.google.com/store/apps/details?id=com.manuelnaranjo.btle.installer2&hl=en

Was this article helpful?
1 out of 1 found this helpful
Have more questions? Submit a request

Comments

Powered by Zendesk